<div style="height: 100vh; width: 100%; margin: 0; overflow-y: hidden;">
    <div style="height: 100vh;">
        <div class="hotbar">
            <div>
                <button style="display: flex; align-items: center;" (click)="onReturnClick()">
                    <img src="../assets/images/left-arrow.png" style="height: 20px;">
                </button>
            </div>
            <div class="logout">
                <p style="margin-right: 20px;">{{ nickname }}</p>
                <button *ngIf="!small" (click)="auth.logout({ returnTo: document.location.origin })">
                    Log out
                </button>
                <button *ngIf="small" style="display: flex; align-items: center;" (click)="auth.logout({ returnTo: document.location.origin })">
                    <img src="../assets/images/logout.png" style="height: 20px;">
                </button>
            </div>
        </div>
        <h3 *ngIf="!pdfLoaded" style="display: flex; justify-content: center;">Loading...</h3>
        <div style="padding-top: 20px; height: 90%;">
            <ng2-pdfjs-viewer #pdfViewer></ng2-pdfjs-viewer>
        </div>
    </div>
</div>


<!-- <div class="article">
    <div class="main-frame">
        <a href={{article.url}} target="_blank" rel="noopener noreferrer" style="font-size: x-large; align-self: center;">{{article.title}}</a>
        <p style="font-size: medium; align-self: center;">{{authors}}.</p>
        <p style="font-size: small;"><strong>{{article.abstract}}</strong></p>
        <p style="font-size: small;">{{article.fulltext}}</p>
    </div>
</div> -->